@charset "UTF-8";#csp_name {
    position: relative;
    cursor: pointer
}

.log_out {
    position: absolute;
    bottom: -35px;
    left: 0;
    width: 100%;
    padding-top: 15px;
    display: none
}

#csp_name .logout_txt {
    display: block;
    background: #eee;
    padding: 0
}

.carousel-inner img {
    height: 350px;
    max-height: 350px
}

@media (min-width: 1200px) {
    .navbar-form {
        width:265px
    }
}

@media (min-width: 768px) {
    .navbar-form .form-control {
        width:80%
    }
}

@media (max-width: 767px) {
    .search-btn {
        margin-top:15px
    }
}

.label-partner {
    background-color: #ff6060
}

.navbar-inverse .nav>li>a>.label {
    position: absolute;
    top: 9px;
    right: 7px;
    text-align: center;
    font-size: 9px;
    padding: 2px 4px;
    line-height: .9
}

.global-nav .nav {
    height: 44px;
    padding: 0
}

.m-header-logo {
    margin: 0
}

.m-header-logo h1 {
    margin-top: 10px
}

.m-header-logo h1 a {
    display: block;
    margin-left: 20px;
    width: 120px;
    background: url(/images/logo.png?e077d97834cb5bfe24b833c2599ef998) no-repeat 0;
    background-size: auto 27px;
    text-indent: 110%;
    white-space: nowrap;
    overflow: hidden;
    text-transform: capitalize
}

.header-response form {
    position: relative;
    padding: 10px 20px
}

.header-response form input {
    display: block;
    width: 100%;
    border: none;
    background: #eff4f9;
    height: 36px;
    line-height: 36px;
    border-radius: 20px;
    text-indent: 1em;
    color: #a7b8d6
}

.header-response .search {
    position: absolute;
    background: transparent;
    border: none;
    right: 20px;
    top: 4px
}

.header-response .login-btn {
    margin-right: 20px;
    margin-top: 10px
}

.header-response .fa-search {
    padding: 6px 15px;
    margin: 8px 0;
    font-size: 20px
}

.header-response .fa-user {
    padding: 0;
    margin: 15px;
    font-size: 20px
}

.header-response .bottom-nav {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 49px;
    line-height: 49px;
    background-color: #fafafa;
    box-shadow: 0 -1px rgba(0,0,0,.1),0 -2px 10px rgba(0,0,0,.1)
}

.header-response .bottom-nav .opts {
    float: left;
    display: inline-block;
    margin: 0;
    width: 100%
}

.header-response .bottom-nav .opts a {
    text-decoration: none
}

.header-response .bottom-nav .opts-group {
    display: inline-block;
    padding-top: 6px;
    line-height: 20px;
    color: #9e9e9e;
    width: 19%;
    cursor: pointer
}

.header-response .bottom-nav .btn-group {
    color: #9e9e9e;
    vertical-align: inherit
}

.bottom-nav .fa {
    font-size: 20px
}

.header-response .bottom-nav .btn-group span {
    line-height: 2;
    font-weight: 500
}

.header-response .bottom-nav .dropdown-menu {
    margin-left: -74px;
    margin-bottom: 10px
}

.header-response .dropdown-menu {
    min-width: 120px
}

.dropup .dropdown-menu,.navbar-fixed-bottom .dropdown .dropdown-menu {
    top: auto;
    bottom: 100%;
    margin-bottom: 1px
}

.pagination {
    display: inline-block;
    margin: 21px 0;
    padding-left: 0;
    border-radius: 3px
}

.pagination>li {
    display: inline
}

.pagination>li:first-child>a,.pagination>li:first-child>span {
    margin-left: 0;
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px
}

.pagination>li:last-child>a,.pagination>li:last-child>span {
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px
}

.pagination>.disabled>a,.pagination>.disabled>a:focus,.pagination>.disabled>a:hover,.pagination>.disabled>span,.pagination>.disabled>span:focus,.pagination>.disabled>span:hover {
    border-color: #ddd;
    background-color: #fff;
    color: #777;
    cursor: not-allowed
}

.pagination-lg>li>a,.pagination-lg>li>span {
    padding: 10px 16px;
    font-size: 18px
}

.pagination-lg>li:first-child>a,.pagination-lg>li:first-child>span {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px
}

.pagination-lg>li:last-child>a,.pagination-lg>li:last-child>span {
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px
}

.pagination-sm>li>a,.pagination-sm>li>span {
    padding: 5px 10px;
    font-size: 12px
}

.pagination-sm>li:first-child>a,.pagination-sm>li:first-child>span {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px
}

.pagination-sm>li:last-child>a,.pagination-sm>li:last-child>span {
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px
}

.breadcrumb>li+li:before {
    content: ">\A0"
}

.breadcrumb {
    background-color: #f1f6f8
}

.breadcrumb a {
    color: #515151
}

.list-group {
    margin-bottom: 20px;
    padding-left: 0
}

.list-group-item {
    position: relative;
    display: block;
    padding: 10px 15px;
    margin-bottom: -1px;
    background-color: #fff;
    border: 1px solid #ddd
}

.list-group-item:first-child {
    border-top-right-radius: 3px;
    border-top-left-radius: 3px
}

.list-group-item:last-child {
    margin-bottom: 0;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px
}

.nav-tabs>li>a {
    color: #333
}

.box dl>dd,dl>dt {
    line-height: 50px
}

blockquote {
    font-size: 13px
}

.jumbotron {
    margin-bottom: 10px;
    background-color: #f6f6f6
}

pre {
    white-space: pre-wrap;
    word-wrap: break-word
}

.row-horizon {
    overflow-x: scroll;
    overflow-y: hidden;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch
}

.row-horizon>[class*=col-lg],.row-horizon>[class*=col-md],.row-horizon>[class*=col-sm],.row-horizon>[class*=col-xs] {
    float: none;
    display: inline-block;
    white-space: normal;
    vertical-align: top
}

.row-horizon>.col-xs-12 {
    width: 90%
}

.row-horizon>.col-xs-11 {
    width: 82.5%
}

.row-horizon>.col-xs-10 {
    width: 75%
}

.row-horizon>.col-xs-9 {
    width: 67.5%
}

.row-horizon>.col-xs-8 {
    width: 60%
}

.row-horizon>.col-xs-7 {
    width: 52.5%
}

.row-horizon>.col-xs-6 {
    width: 45%
}

.row-horizon>.col-xs-5 {
    width: 37.5%
}

.row-horizon>.col-xs-4 {
    width: 30%
}

.row-horizon>.col-xs-3 {
    width: 22.5%
}

.row-horizon>.col-xs-2 {
    width: 15%
}

.row-horizon>.col-xs-1 {
    width: 7.5%
}

@media (min-width: 768px) {
    .row-horizon>.col-sm-12 {
        width:90%
    }

    .row-horizon>.col-sm-11 {
        width: 82.5%
    }

    .row-horizon>.col-sm-10 {
        width: 75%
    }

    .row-horizon>.col-sm-9 {
        width: 67.5%
    }

    .row-horizon>.col-sm-8 {
        width: 60%
    }

    .row-horizon>.col-sm-7 {
        width: 52.5%
    }

    .row-horizon>.col-sm-6 {
        width: 45%
    }

    .row-horizon>.col-sm-5 {
        width: 37.5%
    }

    .row-horizon>.col-sm-4 {
        width: 30%
    }

    .row-horizon>.col-sm-3 {
        width: 22.5%
    }

    .row-horizon>.col-sm-2 {
        width: 15%
    }

    .row-horizon>.col-sm-1 {
        width: 7.5%
    }
}

@media (min-width: 992px) {
    .row-horizon>.col-md-12 {
        width:90%
    }

    .row-horizon>.col-md-11 {
        width: 82.5%
    }

    .row-horizon>.col-md-10 {
        width: 75%
    }

    .row-horizon>.col-md-9 {
        width: 67.5%
    }

    .row-horizon>.col-md-8 {
        width: 60%
    }

    .row-horizon>.col-md-7 {
        width: 52.5%
    }

    .row-horizon>.col-md-6 {
        width: 45%
    }

    .row-horizon>.col-md-5 {
        width: 37.5%
    }

    .row-horizon>.col-md-4 {
        width: 30%
    }

    .row-horizon>.col-md-3 {
        width: 22.5%
    }

    .row-horizon>.col-md-2 {
        width: 15%
    }

    .row-horizon>.col-md-1 {
        width: 7.5%
    }
}

@media (min-width: 1200px) {
    .row-horizon>.col-lg-12 {
        width:90%
    }

    .row-horizon>.col-lg-11 {
        width: 82.5%
    }

    .row-horizon>.col-lg-10 {
        width: 75%
    }

    .row-horizon>.col-lg-9 {
        width: 67.5%
    }

    .row-horizon>.col-lg-8 {
        width: 60%
    }

    .row-horizon>.col-lg-7 {
        width: 52.5%
    }

    .row-horizon>.col-lg-6 {
        width: 45%
    }

    .row-horizon>.col-lg-5 {
        width: 37.5%
    }

    .row-horizon>.col-lg-4 {
        width: 30%
    }

    .row-horizon>.col-lg-3 {
        width: 22.5%
    }

    .row-horizon>.col-lg-2 {
        width: 15%
    }

    .row-horizon>.col-lg-1 {
        width: 7.5%
    }
}

html {
    font-size: 10px;
    -webkit-tap-highlight-color: transparent
}

body {
    font-family: -apple-system,Helvetica Neue,Helvetica,Arial,PingFang SC,Hiragino Sans GB,WenQuanYi Micro Hei,Microsoft Yahei,sans-serif;
    font-size: 14px;
    line-height: 1.5;
    color: #252525;
    background-color: #f6f8f9
}

button,input,select,textarea {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit
}

ul {
    list-style: none;
    padding: 0
}

.wrap {
    padding-bottom: 30px;
    position: relative
}

.main {
    background-color: #fff;
    border-radius: 4px
}

.mb0,.mb-0 {
    margin-bottom: 0!important
}

.mb-10 {
    margin-bottom: 10px
}

.mb-20 {
    margin-bottom: 20px
}

.mb-30 {
    margin-bottom: 30px
}

.mb-40 {
    margin-bottom: 40px
}

.mb-50 {
    margin-bottom: 50px
}

.mb-100 {
    margin-bottom: 100px
}

.mt-10 {
    margin-top: 10px
}

.mt-15 {
    margin-top: 15px
}

.mt-18 {
    margin-top: 18px
}

.mt-20 {
    margin-top: 20px
}

.mt-30 {
    margin-top: 30px
}

.mt-40 {
    margin-top: 40px
}

.mt-50 {
    margin-top: 50px
}

.mt-60 {
    margin-top: 60px
}

.ml5,.ml-5 {
    margin-left: 5px
}

.ml10,.ml-10 {
    margin-left: 10px
}

.ml15,.ml-15 {
    margin-left: 15px
}

.mr-5 {
    margin-right: 5px
}

.mr3,.mr-3 {
    margin-right: 3px!important
}

.mr10,.mr-10 {
    margin-right: 10px
}

.mr20,.mr-20 {
    margin-right: 20px
}

.mr30,.mr-30 {
    margin-right: 30px
}

.pt-30 {
    padding-top: 30px
}

.pr0,.pr-0 {
    padding-right: 0!important
}

.pr10,.pr-10 {
    padding-right: 10px!important
}

.pr15,.pr-15 {
    padding-right: 15px!important
}

.pl15,.pl-15 {
    padding-left: 15px!important
}

.pt5,.pt-5 {
    padding-top: 5px!important
}

.height100 {
    height: 100%
}

.border-top {
    border-top: 1px solid #eee
}

.border-bottom {
    border-bottom: 1px solid #eee
}

.bg-gray {
    background-color: #f3f3f3
}

.span-line {
    margin-left: 8px;
    margin-right: 8px;
    color: #999
}

.hidden {
    display: none!important;
    visibility: hidden!important
}

.raw-content {
    overflow: hidden;
    font-size: 14px;
    line-height: 1.6;
    word-wrap: break-word
}

.logo {
    float: left;
    margin: 0;
    display: inline-block;
    width: 125px
}

.logo a {
    display: block;
    width: 135px;
    background-image: url(/images/logo.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 0
}

.top-menus>li>a {
    padding-top: 19px;
    padding-bottom: 10px
}

#top-ask {
    border-radius: 4px
}

.avatar-16 {
    width: 16px;
    height: 16px;
    border-radius: 50%
}

.avatar-20,.avatar-24 {
    width: 20px;
    height: 20px;
    border-radius: 50%
}

.avatar-27 {
    width: 27px;
    height: 27px;
    border-radius: 50%
}

.avatar-32 {
    width: 32px;
    height: 32px;
    border-radius: 50%
}

.avatar-40,.avatar-50 {
    width: 40px;
    height: 40px;
    border-radius: 50%
}

.avatar-64 {
    width: 64px;
    height: 64px;
    border-radius: 50%
}

.avatar-80 {
    width: 80px;
    height: 80px;
    border-radius: 50%
}

.avatar-128 {
    width: 128px;
    height: 128px;
    border-radius: 50%
}

.avatar-256 {
    width: 256px;
    height: 256px
}

.avatar-container {
    margin: 0 auto;
    width: 256px
}

.picker-container {
    padding: 20px 0
}

.preview-container {
    margin: 0 auto;
    width: 128px;
    height: 128px;
    border-radius: 50%;
    overflow: hidden
}

.avatar-origin {
    width: 256px
}

.avatar-link {
    display: block
}

.main-title {
    margin: 30px 0 25px;
    font-size: 18px;
    vertical-align: middle
}

.top-alert .alert {
    margin-bottom: 10px;
    border-radius: 2px
}

.side-alert {
    border: 1px solid #fbeed5;
    padding: 15px;
    background-color: #fff
}

.alert-question {
    color: #666;
    background-color: #f9fbfb;
    border-color: #f0f5f3
}

.blog-stream .box-list-item {
    border-bottom: 1px solid #eee;
    padding: 20px 20px 10px;
    background: #fff
}

.blog-stream .box-list-item p {
    color: #7b7b7b
}

.blog-stream .title {
    font-size: 18px;
    font-weight: 400;
    margin-top: 0
}

.blog-stream .title a {
    line-height: 1.8;
    color: #232323;
    font-weight: 700
}

.blog-stream .title .label {
    font-size: 12px
}

.blog-stream .summary {
    min-height: 130px
}

.post-img {
    font-size: 16px;
    text-align: center;
    line-height: 1.2;
    color: #666
}

.post-img .tags a {
    display: inline-block;
    margin-bottom: 3px;
    padding: 4px 6px;
    background: #dbf0ff;
    font-size: 14px;
    border-radius: 4px;
    color: #0493ff
}

.post-img img {
    max-height: 100%;
    overflow: hidden;
    margin-bottom: 8px
}

.post-img img,.raw-content img,form img {
    max-width: 100%
}

.bookmark-rank,.qa-rank {
    float: left;
    margin-right: 5px;
    font-size: 16px;
    text-align: center;
    line-height: 1.2;
    color: #666
}

.bookmark-rank small,.qa-rank small {
    display: block;
    font-size: 12px
}

.bookmark-rank .answers,.bookmark-rank .views,.bookmark-rank .votes,.qa-rank .answers,.qa-rank .views,.qa-rank .votes {
    display: inline-block;
    padding-top: 3px;
    width: 40px;
    height: 40px;
    border-radius: 1px
}

.bookmark-rank .answers,.qa-rank .answers {
    background-color: #ad3a37;
    color: #fff
}

.bookmark-rank .solved,.qa-rank .solved {
    background-color: #808b87
}

.bookmark-rank .views,.qa-rank .views {
    width: 50px;
    color: #999
}

.bookmark-rank .plus,.qa-rank .plus {
    color: #009a61
}

.bookmark-rank .minus,.qa-rank .minus {
    color: #ad3a37
}

.bookmark-rank {
    margin-right: 10px
}

.bookmark-rank .collections,.bookmark-rank .followers {
    display: inline-block;
    padding-top: 3px;
    width: 40px;
    height: 40px;
    border-radius: 1px;
    background: #f0f5f3;
    color: #017e66
}

.bookmark-rank .followers {
    background: #5cb85c;
    color: #fff
}

.tag-header {
    background: #f6f6f6;
    padding: 15px;
    margin-bottom: 20px
}

.tag-header-title {
    margin-top: 0;
    margin-right: 15px;
    vertical-align: middle
}

.tag-header-follow {
    display: inline-block;
    position: relative
}

.tag-header-follow .hot-group-action {
    position: static
}

.tag-header-summary {
    color: #666;
    margin-top: 15px;
    margin-bottom: 0
}

.tag-sm {
    padding: 0 6px;
    height: 22px;
    line-height: 22px;
    font-size: 13px
}

.tag-lg {
    font-size: 16px;
    font-weight: 700;
    height: 30px;
    line-height: 28px
}

.tag-link {
    background-color: transparent
}

.tag-logo {
    padding-left: 25px;
    background-repeat: no-repeat;
    background-position: 4px 2px;
    background-size: 16px 16px
}

.tag-list--block,.tag-list-inline {
    list-style: none;
    padding: 0;
    font-size: 0
}

.tag-list--block li,.tag-list-inline li {
    padding: 4px 6px;
    background: #dbf0ff;
    font-size: 13px;
    font-weight: 400;
    border-radius: 4px
}

.tag-list--block li .tag,.tag-list-inline li .tag {
    color: #0493ff
}

.tag-list--block li a,.tag-list-inline li a {
    background: transparent
}

.ib.tag-list--block,.ib.tag-list-inline {
    margin: 0;
    display: inline-block
}

.tag-list-inline>li {
    display: inline-block;
    margin-right: 5px
}

.tag-list-inline>li:last-child {
    margin-right: 0
}

.tag-list-inline.multi>li {
    margin-bottom: 10px
}

.tag-list--block>li {
    margin-bottom: 8px
}

.widget-category {
    padding: 10px 0;
    border: 1px solid #f0f5f3;
    border-radius: 4px
}

.widget-category .list>li {
    float: left;
    position: relative;
    height: 30px;
    line-height: 30px;
    font-size: 14px;
    margin: 0 10px 10px 0
}

.widget-category .breadcrumb {
    padding: 0 15px;
    margin-bottom: 10px
}

.widget-user-nav {
    padding: 10px;
    background-color: #fff;
    text-align: center
}

.widget-nav-item {
    padding: 6px 0;
    border-radius: 3px
}

.widget-nav-item,.widget-nav-item-link {
    display: block;
    color: #666;
    text-decoration: none
}

.widget-nav-item .badge {
    margin-left: 5px;
    padding: 2px 6px;
    font-weight: 400
}

.widget-header-wrap {
    margin: 0 15px
}

.widget-content-wrap {
    background-color: #fff;
    border-radius: 4px;
    padding: 15px
}

.widget-welcome .title {
    margin: 0 0 10px;
    color: #d0021b
}

.widget-welcome ul {
    margin: 15px 0 0
}

.widget-welcome li {
    margin-top: 6px
}

.widget-welcome .join-wide {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    border-left: 1px solid #eee
}

.widget-welcome.widget-welcome-question {
    background: #fcf8e3
}

.widget-box {
    margin-bottom: 15px
}

.widget-box,.widget-first-box {
    background-color: #fff;
    padding: 15px
}

.widget-box .item-title {
    font-size: 16px;
    margin-top: 0
}

.widget-box .media {
    margin: 0
}

.widget-box .panel-title {
    font-size: 14px
}

.widget-box .item-title .switch {
    font-size: 13px;
    font-weight: 400
}

.widget-top10 {
    padding-left: 22px
}

.widget-top10 li {
    margin-bottom: 8px
}

.widget-top10 img {
    margin-right: 10px
}

.widget-user-box .user-list li {
    display: inline-block;
    padding: 15px;
    text-align: center;
    margin: 5px 0 0 5px
}

.widget-user-box .user-list span {
    display: block;
    margin: 3px 0 0
}

.widget-user {
    padding: 15px;
    background-color: #fff
}

.widget-user .media-heading {
    font-size: 16px;
    font-weight: 700
}

.widget-user p {
    padding: 0;
    margin: 0
}

.widget-user .media-footer {
    padding-top: 10px
}

.widget-user-item {
    border: none;
    margin-top: 0
}

.widget-relation {
    padding: 10px;
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #eee
}

.widget-links-item {
    margin-bottom: 8px
}

.widget-links-item .ranks {
    float: left;
    padding: 0;
    margin-right: 5px;
    width: 26px;
    background: #f3f3f3;
    color: #444;
    text-align: center;
    font-size: 13px
}

.widget-bookmark-author .links li {
    padding: 5px 0;
    border-top: 1px dotted #ddd
}

.search-expert {
    padding: 20px;
    background: #f6f6f6
}

.search-expert .expert-search-opt .expert-search-opt-item {
    display: block;
    color: #999
}

.search-expert .expert-search-opt .expert-search-opt-item .expert-search-opt-label {
    float: left
}

.search-expert .expert-search-opt .expert-search-opt-item .expert-search-opt-detail {
    position: relative;
    margin-left: 50px;
    overflow: hidden;
    padding-right: 2rem
}

.search-expert .expert-search-opt .expert-search-opt-item .active {
    color: #004e31
}

.expert-index .search-expert .search-btn-warp,.expert-list .search-expert .search-btn-warp {
    padding-left: 0
}

.widget-messages {
    padding: 15px
}

.widget-message-item {
    display: block;
    color: #666;
    margin-left: -10px;
    padding: 6px 10px;
    width: 100%;
    text-decoration: none
}

.widget-message-item .badge {
    margin-left: 5px;
    padding: 2px 6px;
    font-weight: 400
}

.widget-form {
    padding: 15px
}

.widget-suggest .widget-suggest-list {
    margin: 0;
    overflow: auto;
    max-height: 100px
}

.widget-suggest li a {
    color: #017e66
}

.widget-suggest li a em {
    color: #d0021b;
    font-style: normal
}

.widget-question .title {
    padding: 15px 0
}

.widget-question .best-answer {
    border: 1px solid #ebebeb;
    padding: 10px 20px 20px
}

.widget-question .trophy-title {
    color: #ad3a37
}

.widget-question .adopt_time {
    font-size: 14px;
    font-weight: 400
}

.widget-question .user-info {
    padding: 20px 0 0
}

.widget-article .quote {
    padding: 25px;
    background: #f3f5f9;
    line-height: 24px;
    overflow: hidden
}

.article-content .quote pre {
    background: transparent;
    line-height: 1.5;
    border: none;
    font-size: 1em
}

.best-answer .options a {
    color: #666
}

.post-opt a {
    color: #999
}

.post-title {
    padding-bottom: 15px;
    border-bottom: 1px solid #eee
}

.widget-action {
    color: #999
}

.widget-action li {
    margin-top: 10px
}

.widget-action li:first-child {
    margin-top: 0
}

.widget-action button {
    margin-right: 8px;
    min-width: 58px
}

.widget-action strong {
    color: #333
}

.widget-action .no-stress {
    font-weight: 400
}

.post-col {
    float: left;
    width: 36px;
    position: relative
}

.post-col .unlike-alert {
    position: absolute;
    z-index: 100;
    top: 60px
}

.post-col .unlike-alert .close {
    right: auto
}

.post-offset {
    margin-left: 50px
}

.post-offset .answer-time {
    float: right
}

.widget-vote {
    position: relative;
    width: 36px;
    height: 54px;
    line-height: 54px;
    font-size: 18px;
    background: #f3f3f3;
    color: #666;
    text-align: center;
    border-radius: 2px;
    box-shadow: 0 1px 1px rgba(0,0,0,.3);
    transition-duration: .2s
}

.widget-vote:hover {
    background-color: #fff7e2
}

.widget-vote .like {
    top: 0;
    height: 36px
}

.widget-vote .like:hover {
    background-position: -36px 0
}

.widget-vote .like.active {
    background-position: -72px 0
}

.widget-vote .hate {
    bottom: 0;
    height: 18px;
    background-position: 0 bottom
}

.widget-vote .hate:hover {
    background-position: -36px bottom
}

.widget-vote .hate.active {
    background-position: -72px bottom
}

.widget-topic-box {
    padding: 15px
}

.widget-topic {
    position: relative;
    height: 170px;
    overflow: hidden;
    border: 1px solid #ddd;
    margin-bottom: 14px
}

.widget-topic h2 {
    margin: 12px;
    font-size: 16px
}

.widget-topic p {
    margin: 12px;
    height: 75px;
    overflow: hidden;
    font-size: 13px
}

.topic-list {
    margin-left: -7px;
    margin-right: -7px
}

.widget-topic-action {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 8px 12px;
    background-color: #f6f6f6
}

.widget-topic .h4 a {
    color: #333
}

.users .action-list li {
    padding: .35rem 0
}

.users .top-num .label {
    display: block
}

.widget-notify blockquote {
    margin: 10px;
    font-size: 13px
}

.box-item .not_read,.widget-notify .not_read {
    background: #fff9ea
}

.box-item {
    margin-bottom: 20px
}

.streams-item {
    position: relative;
    border-bottom: 1px solid #eee;
    padding-top: 15px;
    padding-bottom: 10px;
    margin-top: 0
}

.streams-item .avatar-40 {
    margin-top: 3px
}

.streams-item .title {
    display: inline;
    font-size: 14px;
    margin-right: 5px
}

.streams-item .stream-left {
    float: left;
    margin-right: 15px
}

.streams-item .stream-right {
    float: left
}

.streams-item .text-muted {
    margin-bottom: 4px
}

.streams-item .full-text {
    color: #777;
    font-size: 13px;
    line-height: 1.7;
    overflow: hidden;
    margin-bottom: 5px;
    margin-top: 4px
}

.messages .meta {
    font-size: 13px
}

.widget-answers .media {
    border-bottom: 1px solid #eee
}

.widget-answers .answer-time {
    float: right
}

.widget-answers .media-footer a {
    color: #999
}

.answer_login_tips {
    border: 1px solid #e4e4e4;
    background: #fbfbfb;
    padding: 45px 0;
    height: 18px;
    line-height: 18px;
    text-align: center;
    color: #666
}

.comments {
    list-style: none;
    font-size: 13px;
    color: #444;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 2px;
    resize: none;
    min-height: 32px
}

.comments .content img {
    max-width: 80%;
    max-height: 100px
}

.comments .media {
    border-bottom: 1px solid #eee;
    font-size: 13px
}

.media-footer {
    margin-bottom: 10px
}

.sn-inline {
    list-style: none;
    display: inline;
    margin: 0;
    padding: 0;
    vertical-align: text-bottom
}

.sn-inline li {
    display: inline-block;
    margin-right: 5px
}

.sn-inline li a {
    text-indent: 110%;
    white-space: nowrap;
    overflow: hidden;
    text-transform: capitalize
}

.invite-question-modal {
    padding-top: 10px
}

.invite-question-list {
    height: 275px;
    overflow: scroll
}

.invite-question-item {
    height: 38px;
    margin-bottom: 20px;
    position: relative
}

.invite-question-item img {
    float: left;
    width: 32px;
    border-radius: 50%;
    margin-right: 10px
}

.invite-question-user-info {
    padding-right: 70px;
    padding-left: 40px
}

.invite-question-user-desc {
    display: block;
    color: #999;
    font-size: 13px
}

.invite-question-item-btn,.invite-question-item-btn_active {
    position: absolute;
    right: 15px;
    top: 10px
}

.reward-price-sample {
    padding-right: 15px;
    padding-left: 5px
}

.reward-price-sample .col-sm-4 {
    padding-right: 0;
    padding-left: 10px
}

.reward-price-sample .form-control.btn {
    margin-bottom: 10px;
    color: #d0021b
}

.reward-validate {
    color: #d0021b;
    font-weight: 500
}

.success-pay,.weixin-pay {
    text-align: center
}

.success-pay .modal-dialog,.weixin-pay .modal-dialog {
    width: 350px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -185px;
    margin-left: -175px
}

.success-pay .modal-header,.weixin-pay .modal-header {
    border-bottom: none
}

.success-pay i,.weixin-pay i {
    font-size: 100px;
    color: #3db922
}

.success-pay h2,.success-pay h3,.weixin-pay h2,.weixin-pay h3 {
    margin-bottom: 20px;
    color: #787878
}

.success-pay h2,.weixin-pay h2 {
    margin: 0 0 40px;
    font-size: 24px
}

.success-pay a,.weixin-pay a {
    margin-bottom: 20px;
    color: #3194d0;
    display: block
}

.success-pay a:hover,.weixin-pay a:hover {
    color: #3194d0
}

.success-pay .wx-qr-code,.weixin-pay .wx-qr-code {
    display: inline-block
}

.success-pay .pay-amount,.weixin-pay .pay-amount {
    margin: 20px 0;
    color: #787878
}

.success-pay .pay-amount span,.weixin-pay .pay-amount span {
    color: #f5a623
}

.success-pay .wx-qr-code img,.weixin-pay .wx-qr-code img {
    padding: 10px;
    width: 200px;
    background-color: #fff
}

.choose-pay img {
    height: 30px;
    margin: 0 30px 0 5px;
    vertical-align: middle
}

.choose-pay img .wechat {
    min-width: 112px
}

.choose-pay img.alipay {
    min-width: 85px
}

.required:after {
    content: " *";
    color: #ed1c24
}

.exchange-doings {
    border: 1px solid #eee;
    padding: 10px
}

.exchange-doings ul {
    font-size: 13px
}

.exchange-doings ul li {
    padding-bottom: 10px
}

.best-tag,.search-category {
    margin-bottom: 10px
}

.search-category>li>a {
    padding: 2px 10px;
    color: #666
}

.side .list-text {
    line-height: 30px
}

.best-tag {
    border: 1px solid #ddd;
    border-radius: 2px;
    padding: 15px 15px 5px
}

.search-result .excerpt {
    font-size: 13px;
    color: #666;
    line-height: 1.5;
    word-wrap: break-word
}

.search-result em {
    color: #d0021b;
    font-style: normal
}

.search-result section:hover {
    background-color: #fcf8e3
}

.search-result section {
    margin: 0 -8px;
    padding: 5px 8px
}

.search-result .h4 {
    margin-bottom: 2px;
    font-size: 16px
}

.related-object {
    border: 1px solid #ddd;
    border-radius: 2px;
    padding: 10px 15px;
    margin-bottom: 20px
}

#footer {
    background: #383838;
    border-top: 1px solid #eee;
    padding: 20px 0;
    color: #888;
    line-height: 1.6;
    vertical-align: top
}

#footer .copyright {
    text-align: center;
    font-size: 13px
}

#footer a {
    color: #888
}

.col-item {
    padding: 0 10px;
    margin-bottom: 20px
}

.col-item h3 {
    font-size: 18px;
    padding: 10px 0
}

.select2-result-repository {
    padding-top: 4px;
    padding-bottom: 3px
}

.select2-result-repository__avatar {
    float: left;
    width: 60px;
    margin-right: 10px
}

.select2-result-repository__avatar img {
    width: 100%;
    height: auto;
    border-radius: 2px
}

.select2-result-repository__meta {
    margin-left: 70px
}

.select2-result-repository__title {
    color: #000;
    font-weight: 700;
    word-wrap: break-word;
    line-height: 1.1;
    margin-bottom: 4px
}

.select2-result-repository__forks,.select2-result-repository__stargazers {
    margin-right: 1em
}

.select2-result-repository__forks,.select2-result-repository__stargazers,.select2-result-repository__watchers {
    display: inline-block;
    color: #aaa;
    font-size: 11px
}

.select2-result-repository__description {
    font-size: 13px;
    color: #777;
    margin-top: 4px
}

.select2-results__option--highlighted .select2-result-repository__title {
    color: #fff
}

.select2-results__option--highlighted .select2-result-repository__description,.select2-results__option--highlighted .select2-result-repository__forks,.select2-results__option--highlighted .select2-result-repository__stargazers,.select2-results__option--highlighted .select2-result-repository__watchers {
    color: #c6dcef
}

.hot-tags-title {
    font-size: 18px;
    font-weight: 400
}

.hot-tags li {
    display: inline-block;
    padding: 10px;
    margin-bottom: 10px;
    width: 49%;
    background: #f7f9fa
}

.hot-tags li:hover {
    background: #ff6060
}

.hot-tags li:hover a,.hot-tags li:hover a small {
    color: #fff
}

.hot-tags li a {
    font-size: 15px;
    color: #7b7b7b;
    text-decoration: none
}

.hot-tags li a small {
    font-size: 12px;
    color: #a9b6cb
}

.wrap {
    min-height: 3vh
}

.mt-5 {
    margin-top: 5px
}

.mt-90 {
    margin-top: 90px
}

.mt-100 {
    margin-top: 100px
}

.pd-10 {
    padding: 10px
}

.pd-20 {
    padding: 20px
}

.alert-success {
    color: #ff6060;
    background-color: #f1faff;
    border-color: #add8e6
}

.text-gray {
    color: #a9b6cb
}

.ui-btn {
    background: #ff6060;
    color: #fff;
    border-radius: 50px
}

.ui-btn-line {
    background: #fff;
    color: #ff6060;
    border: 1px solid #ff6060
}

.ui-btn-gray {
    background: #a9b6cb;
    color: #fff
}

.ui-label-danger {
    background: #ff5143
}

.ui-label-warn {
    background: #ffad43
}

.shop-page h4.text-center {
    height: 44px
}

.webuploader-pick {
    background: #fff;
    color: #ff6060;
    border: 1px solid #ff6060
}

.btn.active,.btn:active {
    box-shadow: none;
    background: #a9b6cb;
    color: #fff
}

.text-muted {
    color: #a9b6cb
}

.section-box {
    margin-bottom: 20px
}

.section-title {
    margin: 24px 0;
    font-size: 22px;
    font-weight: 400
}

.section-title a,.section-title small {
    font-size: 12px;
    font-weight: 400;
    color: #414141
}

.section-title img {
    margin-right: 10px;
    width: 32px
}

.box-shadow {
    background: #fff;
    border: 1px solid #e4e9ee;
    border-radius: 4px
}

.detail-title {
    line-height: 1.8
}

.side-top-title {
    font-size: 20px;
    margin-bottom: 8px
}

#ChanjetLoginContainer {
    top: 20%!important
}

#questionForm {
    position: relative
}

.group-tag-bar .title {
    font-size: 22px
}

.group-tag-bar .inputs label {
    margin: 20px 0;
    width: 100%;
    color: #252525;
    font-size: 14px;
    font-weight: 400
}

.group-tag-bar button {
    width: 100%
}

@media (max-width: 767px) {
    .group-tag-bar {
        width:100%
    }
}

body .select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #fff;
    border: 1px solid #a9b6cb;
    border-radius: 4px;
    cursor: default;
    float: left;
    margin-right: 5px;
    margin-top: 5px;
    padding: 0 5px
}

.header-response .bottom-nav {
    height: 68px
}

.opts span {
    display: inline-block;
    width: 50px;
    height: 50px;
    background-size: 80%;
    background-position: 50%;
    background-repeat: no-repeat
}

.opts span[title=首页] {
    background-image: url(/images/m1.png?4e0bc0ee941083876601d2d8e191a4f3)
}

.opts span[title=生意研习社] {
    background-image: url(/images/m3.png?a4d8c64f8064788d7f7e740f03c49549)
}

.opts span[title=发帖] {
    background-image: url(/images/m7.png?324a7d57c622088abab10522f7ebbdb5)
}

.opts span[title=圈子] {
    background-image: url(/images/m5.png?cd3efa1e782d9fc11944bbd0f4004f84)
}

.opts span[title=我的] {
    background-image: url(/images/m2.png?59c3f6abfc7283623935a4120d7c68c9)
}

.ic-bell {
    display: inline-block;
    width: 26px;
    height: 26px;
    background: url(/images/m8.png?bbdefb0b4aed855a3196d7d08512a1c4) no-repeat
}

.article-content {
    line-height: 2em;
    padding: 30px 60px 10px
}

.article-content .title {
    line-height: 1.8;
    font-size: 20px
}

.index-hot-article {
    position: relative;
    display: block
}

.index-hot-article p {
    position: absolute;
    bottom: 0;
    padding: 4px 10px;
    overflow: hidden;
    width: 100%;
    height: 32px;
    font-size: 16px;
    background-color: rgba(1,1,1,.3);
    color: #fff
}

.login-section-mask {
    position: fixed;
    z-index: 1200;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(10,10,10,.3)
}

.login-section {
    width: 360px;
    height: 490px;
    position: fixed;
    z-index: 1201;
    top: 20%;
    left: 50%;
    transform: translateX(-50%);
    background: #fff;
    border-radius: 4px
}

.login-section .login-close {
    position: absolute;
    top: 4px;
    right: -46px;
    width: 36px;
    height: 36px;
    background-size: 100%;
    background-image: url(/images/l-close.png?942287c38e61e2056b1acdac4d4af2b0)
}

.login-section .account .login-type1,.login-section .login-type2 {
    color: #ff6060
}

.login-section .account .login-type2,.login-section .login-type1 {
    color: #333
}

.login-section .login-change {
    display: inline-block;
    padding: 11px 20px 14px 0;
    cursor: pointer;
    font-weight: 500;
    font-size: 16px
}

.login-section .form-control {
    margin-bottom: 10px
}

.login-section .login-by-mobile {
    display: none
}

.login-section .login-m-code {
    position: relative
}

.login-section .mobile-code {
    position: absolute;
    right: 3px;
    top: 4px;
    display: inline-block;
    width: 40%;
    height: 34px;
    margin-left: 2px;
    border: none;
    outline: none
}

.login-section .login-logo {
    padding-top: 10px;
    border-top: 1px solid #eae7e7
}

.login-section .login-top {
    height: 80px;
    padding: 0 40px
}

.login-section .login-top .login-t {
    display: none;
    padding-top: 20px
}

.login-section .login-go-btn {
    position: absolute;
    top: 40px;
    right: 30px
}

.login-section .login-middle {
    height: 310px;
    padding: 0 40px
}

.login-section .login-middle section {
    display: none
}

.login-section .login-middle input.form-control {
    height: 42px
}

.login-section .login-bottom {
    padding: 0 30px;
    height: 80px
}

.login-section .login-type-toggle {
    right: 70px;
    width: 106px;
    height: 24px
}

.login-section .login-pc-scan,.login-section .login-type-toggle {
    position: absolute;
    top: 10px;
    background-repeat: no-repeat;
    cursor: pointer
}

.login-section .login-pc-scan {
    right: 18px;
    width: 50px;
    height: 50px
}

.login-section .login-m-qr {
    text-align: center
}

.login-section .login-m-reg,.login-section .login-t-reg {
    display: none
}

.login-section.login-qr .login-type-toggle {
    background-image: url(/images/scan2.png?d57bd7e398e98dc87ad7320ba2b797be)
}

.login-section.login-qr .login-pc-scan {
    background-image: url(/images/diannao.png?5743ed3cd9ab2ac5f89b72885b094053)
}

.login-section.login-qr .login-m-qr,.login-section.login-qr .login-t-qr {
    display: block
}

.login-section.login-account .login-type-toggle {
    background-image: url(/images/scan1.png?197b488df5ecb5f2d98154896d938c5f)
}

.login-section.login-account .login-pc-scan {
    background-image: url(/images/erweimadenglu.png?a2b162cd1c9fdcea60ad55d871d3b835)
}

.login-section.login-account .login-m-account,.login-section.login-account .login-t-account {
    display: block
}

.login-section.login-only-account .login-pc-scan,.login-section.login-only-account .login-reg-btn,.login-section.login-only-account .login-type-toggle,.login-section.login-register .login-m-qr,.login-section.login-register .login-pc-scan,.login-section.login-register .login-t-qr,.login-section.login-register .login-type-toggle {
    display: none
}

.login-section.login-register .login-m-reg,.login-section.login-register .login-t-reg {
    display: block
}

.login-section .login-reg-btn {
    padding-top: 10px
}

.help-block {
    display: none
}

.has-error .help-block {
    display: block
}

.pop-pic-box {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1200
}

.pop-pic-box .pop-mask {
    width: 100%;
    height: 100%;
    background-color: rgba(10,10,10,.3)
}

.pop-pic-box .pop-pic-close {
    display: inline-block;
    left: 48%;
    bottom: -43px;
    width: 30px;
    height: 30px;
    position: absolute;
    opacity: .6;
    background-image: url(/images/p-close.png);
    background-size: 100%
}

.pop-pic-box .pop-pic {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-60%);
    text-align: center;
    cursor: pointer
}

.widget-box__title {
    font-weight: 400;
    font-size: 20px;
    margin-bottom: 10px
}

.index-info {
    padding: 10px;
    color: #525252
}

.index-info small {
    color: #a9b6cb
}

.hot-posts .widget-links-item {
    line-height: 24px;
    border-bottom: 1px solid #d4deea
}

.hot-posts .widget-links-item span {
    margin-right: 6px;
    height: 26px;
    width: 26px;
    line-height: 26px;
    text-align: center;
    display: inline-block;
    border: 1px solid #d4deea;
    border-radius: 4px;
    color: #a9b6cb
}

.hot-posts .widget-links-item a {
    font-size: 16px
}

.hot-posts .widget-links-item:last-child {
    border: none
}

.post-info .author a {
    display: block;
    color: #515151
}

.post-info .author small {
    color: #515151
}

.top-nav {
    padding: 2px 0;
    background: #27282d
}

.top-nav a {
    display: inline-block;
    padding: 4px 30px 4px 4px;
    color: #fff;
    font-size: 12px
}

.nav-menu-box {
    position: relative;
    padding: 26px 0 0;
    height: 140px;
    background: #fff
}

.nav-menu-box .nav-user a {
    color: #232323;
    padding: 14px 15px 8px
}

.nav-menu-box .nav-user img {
    border: 1px solid #ccc
}

.nav-menu-box .user-menu-login {
    margin-top: 14px
}

.nav-menu-box .user-menu-login li {
    width: 80px;
    height: 38px;
    border: 1px solid #ff6060
}

.nav-menu-box .user-menu-login li a {
    letter-spacing: 2px;
    display: block;
    text-align: center;
    padding: 0;
    line-height: 38px
}

.nav-menu-box .user-menu-login li a:hover {
    background: transparent
}

.nav-menu-box .user-menu-login .user-menu-l {
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    background: #ff6060
}

.nav-menu-box .user-menu-login .user-menu-l a {
    color: #fff
}

.nav-menu-box .user-menu-login .user-menu-r {
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px
}

.nav-menu-box .user-menu-login .user-menu-r a {
    color: #ff6060
}

.nav-menu-box .navbar-header {
    margin-right: 60px;
    height: 60px
}

.nav-menu-box .navbar-header .logo {
    height: 100%
}

.nav-menu-box form {
    margin-top: 10px;
    position: relative
}

.nav-menu-box form input {
    border-color: #d8d8d8
}

.nav-menu-box .input-btn {
    position: absolute;
    top: 0;
    right: 0;
    height: 46px;
    width: 144px
}

.nav-menu-box .input-btn button {
    border: none;
    height: 46px;
    line-height: 46px;
    background: #ff6060;
    color: #fff;
    font-size: 16px;
    border-radius: 4px
}

.nav-menu-box .nav-icons,.nav-menu-box .nav-icons a {
    color: #515151
}

.nav-menu-box .nav-icons .fa {
    font-size: 16px;
    color: #515151
}

.nav-menu-box .nav-icons .label {
    display: inline-block;
    transform: scale(.8)
}

.nav-menu-box .nav-icons .txt {
    display: block
}

.nav-menu-box .top-menus ul.nav {
    float: none;
    margin: 0 auto 0 160px
}

.nav-menu-box .top-menus ul.nav>li {
    padding: 0 10px
}

.nav-menu-box .top-menus ul.nav a {
    font-weight: 400;
    color: #232323
}

.nav-menu-box .top-menus ul.nav a:hover {
    color: #ff6060
}

.nav-menu-box .top-menus ul.nav .active>a {
    letter-spacing: 2px;
    position: relative;
    color: #ff6060
}

.nav-menu-box .top-menus ul.nav .active>a:after {
    content: "";
    position: absolute;
    top: 40px;
    left: 50%;
    width: 30px;
    height: 4px;
    margin-left: -3px;
    transform: translateX(-50%);
    border-radius: 2px;
    background: #ff6060
}

.nav-menu {
    width: 1140px
}

.p-menu {
    position: relative
}

.p-menu .sub-menu {
    display: none;
    position: absolute;
    top: 50px;
    width: 370px;
    padding: 20px;
    border-radius: 4px;
    background: #fff;
    z-index: 2;
    box-shadow: 0 1px 4px 1px #dedede
}

.p-menu .sub-menu .yun {
    position: relative;
    padding-left: 10px;
    text-align: left;
    line-height: 30px
}

.p-menu .sub-menu .yun:before {
    content: "";
    position: absolute;
    top: 6px;
    left: 0;
    width: 3px;
    height: 16px;
    margin-left: -3px;
    border-radius: 2px;
    background: #ff6060
}

.p-menu .sub-menu ul {
    margin-left: -15px
}

.p-menu .sub-menu ul li {
    float: left;
    padding: 10px 18px
}

.p-menu:hover .sub-menu {
    display: block
}

.menu-search {
    height: 46px;
    line-height: 46px
}

.carousel-indicators {
    bottom: 0
}

.carousel-indicators li {
    width: 7px;
    height: 7px
}

.carousel-indicators .active {
    width: 9px;
    height: 9px
}

.group-nav.nav-child {
    margin-top: 15px;
    margin-bottom: 16px;
    padding: 20px 20px 16px;
    background: #fff;
    font-size: 18px
}

.group-nav.nav-child .nav-tags {
    color: #333;
    padding: 0 8px;
    display: inline-block;
    line-height: 250%;
    text-decoration: none
}

.group-nav.nav-child .nav-tags.active {
    position: relative
}

.group-nav.nav-child .nav-tags.active:after {
    content: "";
    position: absolute;
    top: 36px;
    left: 50%;
    transform: translateX(-50%);
    width: 40px;
    height: 4px;
    background: #ff6060;
    border-radius: 4px
}

.nav-child span {
    color: #999
}

.g-tags li {
    display: inline-block;
    padding: 4px 6px;
    font-size: 13px;
    font-weight: 400;
    border: 1px solid #d4deea;
    border-radius: 4px
}

.g-tags .tag {
    color: #838ea4
}

@media (max-width: 767px) {
    .wrap {
        padding:6px;
    }

    .global-nav .nav {
        height: auto
    }

    .top-alert {
        margin-top: 100px!important
    }

    .main-edu .global-nav,.main-edu .top-alert {
        display: none
    }

    .article-content .title {
        line-height: 1.6;
        font-size: 20px
    }
}

